Package org.apache.nutch.fetcher

# Class FetcherThread

java.lang.Object
java.lang.Thread
org.apache.nutch.fetcher.FetcherThread

All Implemented Interfaces:
  `Runnable`

public class FetcherThread extends Thread
This class picks items from queues and fetches the pages.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Thread

  `Thread.State, Thread.UncaughtExceptionHandler`

- ## Field Summary

  ### Fields inherited from class java.lang.Thread

  `MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FetcherThread(Configuration conf, AtomicInteger activeThreads, FetchItemQueues fetchQueues, QueueFeeder feeder, AtomicInteger spinWaiting, AtomicLong lastRequestStart, Mapper<Text,CrawlDatum,Text,NutchWritable>.Context context, AtomicInteger errors, String segmentName, boolean parsing, boolean storingContent, AtomicInteger pages, AtomicLong bytes)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LatencyTracker`
  `getFetchLatencyTracker()`
  Returns the fetch latency tracker for this thread so the mapper can merge all thread trackers and emit job-level percentiles.
  `String`
  `getReprUrl()`
  `boolean`
  `isHalted()`
  `void`
  `run()`
  `void`
  `setHalted(boolean halted)`

  ### Methods inherited from class java.lang.Thread

  `activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FetcherThread

    public FetcherThread(Configuration conf, AtomicInteger activeThreads, FetchItemQueues fetchQueues, QueueFeeder feeder, AtomicInteger spinWaiting, AtomicLong lastRequestStart, Mapper<Text,CrawlDatum,Text,NutchWritable>.Context context, AtomicInteger errors, String segmentName, boolean parsing, boolean storingContent, AtomicInteger pages, AtomicLong bytes)

- ## Method Details

  - ### run

    public void run()
    Specified by:
      `run` in interface `Runnable`
    Overrides:
      `run` in class `Thread`

  - ### getFetchLatencyTracker

    public LatencyTracker getFetchLatencyTracker()
    Returns the fetch latency tracker for this thread so the mapper can merge all thread trackers and emit job-level percentiles.

  - ### setHalted

    public void setHalted(boolean halted)

  - ### isHalted

    public boolean isHalted()

  - ### getReprUrl

    public String getReprUrl()